A Markdown egy nagyszerű módja a szöveg formázásának. A HTML nyelvhez hasonló, de sokkal egyszerűbb szintaxisa van. WYSIWYG szerkesztőkkel ellentétben, ahol már a formázott szöveget látod, a markdown-nál a nyers szöveget látod.

## Miért jó ez?

Átláthatóbb, egyszerűbb navigációt tesz lehetővé a sorok között. Veled fordult már elő, hogy benyomtad hogy legyen egy szöveg **félkövér**, majd új sort kezdtél és az is félkövérré lett formázva?

Rengeteg program található az interneten, minden operációs rendszerre, ami képes a nyers markdown szöveget, a végleges előnézettel megjeleníteni, többek között a fórumon megtalálható bejegyzés szerkesztő is ezen az alapon működik.
<br>
## Alapok

Mint írtam, megvan az a szintaxis, amit követni kell, hogy a várt eredményt kapjuk. Ebben a részben átnézzük az alapvető jelöléseket.
<br>
### Markdown fájl: .md

Egy Markdown fájl létrehozásához elég egy *.md elnevezésű fájlt létrehoznod.
<br>
### Fejléc

---

A fejléc írásához használjuk a '#' hashtag jelölést. A hashtagek száma jelöli a 6 szintjét a fejlécnek, lásd a lenti példát:

```
# Level 1 Heading
## Level 2 Heading
### Level 3 Heading
#### Level 4 Heading
##### Level 5 Heading
###### Level 6 Heading
```
<br>

### Bekezdések

---

Minden új bekezdést egy üres sor választ el. Használj ehhez dupla `enter`-t. A Markdown nem támogatja a „hard-wrapped” vagy „fixed-lint-lenght” bekezdéseket. Vagyis, ha egyszer megnyomod az `Enter` billentyűt, az nem fogja a szöveget új sorba kényszeríteni. A szerkesztési ablakban úgy tűnhet, mintha igen, de a HTML-ben ez nem jelenik meg.

Ennél a résznél hiába nyomtam csak `enter`-t. Használhatod a HTML-ből ismert `<br>` címkét is, ami jobban átláthatóvá teszi az összképet.<br>

Figyelj arra, hogy a `tab` és `szóköz` nem lehet a bekezdés elején, mert megvan a saját szerepük.
<br>
### Aláhúzás
---
Aláhúzáshoz használj 3db `---`, `***`, `___` jelet, szóközök nélkül.
<br>
### Kiemelés
---
Amikor egy szót vagy kifejezést akarsz kiemelni, hogy jobban észrevehető legyen, félkövérré vagy dőlté teheted. A _dőlt_ és __félkövér__ szöveg kétféleképpen hozható létre. Az első módszer, ha **csillagokkal** (*) veszed körbe a szöveget, a másik pedig, ha **aláhúzásjeleket** (_) használsz. Három használata esetén egyszerr lesz ___dőlt és félkövér___ is.

```

*dőlt*
_dőlt_
**félkövér**
__félkövér__
___dőlt és félkövér___
***Dőlt és félövér***
```
<br>

### Idézet
---
> Idézet megjelenítéséhez használd a (>) szimbólumot.
>
> Lehet több soros is és természetesen ez is __formázható__.
>> Dupla szimbólum esetén idézet az idézetben???

```

> Idézet helye
>
> Második sor egy __félkövér__ szöveggel
>> Idézet az idézetben

```
<br>

### Linkek
---
Link beillesztéséhez csak tedd `<közé>` a linket. Egyedi nevet is adhatsz neki, `[link neve](Link címe)`. <br>

Van egy harmadik lehetőség, az akkor lehet megfelelő választás, ha ugyan arra a linkre többször is szeretnél hivatkozni, akkor hozzá rendelhetsz egy azonosítót, ami így fog kinézni:<br>

`[hivatkozás neve][id]`<br>

...<br>

`[id]: https://www.rp1.hu`

```

<https://rp1.hu>
[RP1 oldala](https://rp1.hu)

[RP's oldala][rp]

...
[rp]: http://rp1.hu

```
<br>

### Képek
---
A képek megjelenítése nagyon hasonló a linkekhez

```

![Ide jön a kép neve, ha nem töltődne be](https://a-kép-elérési-útvonala.hu/kép.png "Ide pedig az a szöveg jön, amit akkor jelenik meg, ha a kép felé viszed az egeret")

```